> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lead Stage



## OpenAPI

````yaml PATCH /leads/{id}/stage
openapi: 3.0.0
info:
  title: Closer Intellect AI API
  description: >-
    The core API documentation and interactive playground for Closer Intellect
    AI.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /leads/{id}/stage:
    patch:
      tags:
        - Leads Management
      summary: Update the pipeline stage of a lead (e.g., Cold to Warm)
      operationId: LeadsController_updateLeadStage
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                stage:
                  type: string
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````